[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TCustomLazComponentQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lresources.pp line 376

`type TCustomLazComponentQueue = class(TComponent)`
`protected`
`FQueue: TDynamicDataQueue;`
`function ReadComponentSize(); virtual;`
`public`
`constructor Create(); override;`
`destructor Destroy; override;`
`procedure Clear;`
`function Write();`
`function CopyFrom();`
`function HasComponent; virtual;`
`function ReadComponent(); virtual;`
`function ConvertComponentAsString();`
`property OnFindComponentClass: TFindComponentClassEvent; [rw]`
`end;`

## Inheritance

`TCustomLazComponentQueue`
`TComponent,IUnknown,IInterfaceComponentReference`
`TPersistent`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.